Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158372 - modprobe -r snd-intel8x0 oopses the kernel
Summary: modprobe -r snd-intel8x0 oopses the kernel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-21 02:18 UTC by Bill Nottingham
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 16:29:48 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-05-21 02:18:40 UTC
Description of problem:

SSIA

Version-Release number of selected component (if applicable):

2.6.11-1.1323_FC4

How reproducible:

Just happened on the box at work (remotely)

Steps to Reproduce:
1. Check sound levels with alsamixer
2. Run modprobe -r snd-intel8x0
  
Actual results:

Box hung.

Expected results:

Box responsive.

Comment 1 Dave Jones 2005-05-21 07:47:07 UTC
no nice oops msgs ?

what chipset ?

Comment 2 Bill Nottingham 2005-05-23 04:21:35 UTC
Did it remotely on the box at work, will get messages on Monday, hopefully. It's
E75xx.

Comment 3 Bill Nottingham 2005-05-23 15:52:50 UTC
The trace still on the screen says:

__call_usermodehelper
posion_obj
error_exit
__change_page_attr
init_level4_pgt
flat_send_IP_allbutself
__down_write
do_flush_tlb_all
change_page_attr_addr
iounmap
:snd_intel8x0:snd_intel8x0_free
:snd:snd_device_free
:snd:snd_device_free_all
:snd:snd_card_free
:snd_intel8x0:snd_intel8x0_remove
pci_device_remove
device_release_driver
bus_remove_driver
driver_unregister
pci_unregister_driver
sys_delete_module


Comment 4 Bill Nottingham 2005-05-23 16:21:53 UTC
OK, reproduced it. The *top* of the oops is:

Kernel BUG at "arch/x86_64/mm/pageattr.c":154
Invalid operand: 0000 [1] SMP
RIP :.... __change_page_attr+706

It hung printing the tombstone; there's no trace this time.


Comment 5 Bill Nottingham 2005-05-23 16:29:48 UTC
Works in 1341. Woohoo!


Note You need to log in before you can comment on or make changes to this bug.